import { LitElement, css, html } from 'lit';
import { customElement, property } from 'lit/decorators.js';

@customElement('placeholder-component-name')
export class PlaceholderComponentClassName extends LitElement {
  static styles = css`
    * {
      box-sizing: border-box;
    }
    .container {
      display: block;
      width: calc(100% - 2rem - 2rem);
      margin: 2rem;
      padding: 1rem;
      color: green;
      background: white;
      border: solid 1px gray;
    }
  `;

  @property({ type: String, reflect: true, attribute: 'greeting-name' })
  greetingName = 'World';

  render() {
    return html`
      <div class="container">
        <h1>Hello, ${this.greetingName}!</h1>
      </div>
    `;
  }
}

declare global {
  interface HTMLElementTagNameMap {
    'placeholder-component-name': PlaceholderComponentClassName;
  }
}
